Last Comment Bug 773432 - Image in contentEditable div auto selects it's self when it's in text without spaces around it
: Image in contentEditable div auto selects it's self when it's in text without...
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Selection (show other bugs)
: 13 Branch
: x86_64 All
: -- normal (vote)
: mozilla17
Assigned To: Mats Palmgren (:mats)
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks: 619273
  Show dependency treegraph
 
Reported: 2012-07-12 14:01 PDT by Sam
Modified: 2012-07-19 07:22 PDT (History)
5 users (show)
mats: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
-
wontfix
+
fixed


Attachments
ImageBug.html (243 bytes, text/html)
2012-07-12 14:01 PDT, Sam
no flags Details
fix (1.52 KB, patch)
2012-07-12 16:45 PDT, Mats Palmgren (:mats)
roc: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Sam 2012-07-12 14:01:51 PDT
Created attachment 641586 [details]
ImageBug.html

User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0.1
Build ID: 20120615112143

Steps to reproduce:

1. Click on the editable div
2. The image automatically selects itself

If I add a space on either side of the image it's fine but without any spaces it selects itself again.


Actual results:

Image automatically selects itself


Expected results:

Nothing
Comment 1 Alice0775 White 2012-07-12 15:49:30 PDT
Regression window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/c7101dec8deb
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111220 Firefox/11.0a1 ID:20111220083550
Bad:
http://hg.mozilla.org/mozilla-central/rev/a8506ab2c654
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111220 Firefox/11.0a1 ID:20111220085450
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=c7101dec8deb&tochange=a8506ab2c654

Regression window(m-i)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/feaccb6a4c35
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111219 Firefox/11.0a1 ID:20111219235256
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/0aa9c3a5b7e1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111219 Firefox/11.0a1 ID:20111220011653
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=feaccb6a4c35&tochange=0aa9c3a5b7e1

Triggered by: Bug 619273
Comment 2 Mats Palmgren (:mats) 2012-07-12 16:45:29 PDT
Created attachment 641653 [details] [diff] [review]
fix

The image is part of the spellchecking selection range.
I think the fix is to not create an selection overlay at all
for images unless they are in the primary selection.

https://tbpl.mozilla.org/?usebuildbot=1&tree=Try&rev=4c7d247904d2
Comment 4 Ed Morley [:emorley] 2012-07-17 02:13:28 PDT
https://hg.mozilla.org/mozilla-central/rev/bc8981c2ca73
Comment 5 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-07-17 05:17:54 PDT
Comment on attachment 641653 [details] [diff] [review]
fix

Review of attachment 641653 [details] [diff] [review]:
-----------------------------------------------------------------

A low-risk patch to fix a Web-facing regression. Seems like a good fit for Aurora. The regression doesn't seem serious enough to warrant landing in beta.
Comment 6 Alex Keybl [:akeybl] 2012-07-18 16:58:05 PDT
Comment on attachment 641653 [details] [diff] [review]
fix

[Triage Comment]
Agreed - this isn't a significant enough regression to take on beta. Approving for Aurora 16, however.

Note You need to log in before you can comment on or make changes to this bug.